
Redmine - Defect #2400

Last update broke issues controller 

2008-12-26 09:52 - Philippe Lafoucrière

Status: Closed Start date: 2008-12-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

hi, I'm using redmine dev branch (http://redmine.rubyforge.org/svn/trunk), and after a code update this morging, my issues controller

throws an exception :

Processing IssuesController#index (for xxx.xxx.xxx.xxx at 2008-12-26 09:46:07) [GET]

  Session ID: cdbcaa6b8f966958dd3108d2ef8ce5c5

  Parameters: {"project_id"=>"project", "action"=>"index", "controller"=>"issues"}

ActiveRecord::StatementInvalid (Mysql::Error: You have an error in your SQL syntax; check the manu

al that corresponds to your MySQL server version for the right syntax to use near 'LIMIT 0, 25' at

 line 1: SELECT `issues`.`id` AS t0_r0, `issues`.`tracker_id` AS t0_r1, `issues`.`project_id` AS t

0_r2, `issues`.`subject` AS t0_r3, `issues`.`description` AS t0_r4, `issues`.`due_date` AS t0_r5, 

`issues`.`category_id` AS t0_r6, `issues`.`status_id` AS t0_r7, `issues`.`assigned_to_id` AS t0_r8

, `issues`.`priority_id` AS t0_r9, `issues`.`fixed_version_id` AS t0_r10, `issues`.`author_id` AS 

t0_r11, `issues`.`lock_version` AS t0_r12, `issues`.`created_on` AS t0_r13, `issues`.`updated_on` 

AS t0_r14, `issues`.`start_date` AS t0_r15, `issues`.`done_ratio` AS t0_r16, `issues`.`estimated_h

ours` AS t0_r17, `users`.`id` AS t1_r0, `users`.`login` AS t1_r1, `users`.`hashed_password` AS t1_

r2, `users`.`firstname` AS t1_r3, `users`.`lastname` AS t1_r4, `users`.`mail` AS t1_r5, `users`.`m

ail_notification` AS t1_r6, `users`.`admin` AS t1_r7, `users`.`status` AS t1_r8, `users`.`last_log

in_on` AS t1_r9, `users`.`language` AS t1_r10, `users`.`auth_source_id` AS t1_r11, `users`.`create

d_on` AS t1_r12, `users`.`updated_on` AS t1_r13, `users`.`type` AS t1_r14, `issue_statuses`.`id` A

S t2_r0, `issue_statuses`.`name` AS t2_r1, `issue_statuses`.`is_closed` AS t2_r2, `issue_statuses`

.`is_default` AS t2_r3, `issue_statuses`.`position` AS t2_r4, `trackers`.`id` AS t3_r0, `trackers`

.`name` AS t3_r1, `trackers`.`is_in_chlog` AS t3_r2, `trackers`.`position` AS t3_r3, `trackers`.`i

s_in_roadmap` AS t3_r4, `projects`.`id` AS t4_r0, `projects`.`name` AS t4_r1, `projects`.`descript

ion` AS t4_r2, `projects`.`homepage` AS t4_r3, `projects`.`is_public` AS t4_r4, `projects`.`parent

_id` AS t4_r5, `projects`.`projects_count` AS t4_r6, `projects`.`created_on` AS t4_r7, `projects`.

`updated_on` AS t4_r8, `projects`.`identifier` AS t4_r9, `projects`.`status` AS t4_r10, `enumerati

ons`.`id` AS t5_r0, `enumerations`.`opt` AS t5_r1, `enumerations`.`name` AS t5_r2, `enumerations`.

`position` AS t5_r3, `enumerations`.`is_default` AS t5_r4, `issue_categories`.`id` AS t6_r0, `issu

e_categories`.`project_id` AS t6_r1, `issue_categories`.`name` AS t6_r2, `issue_categories`.`assig

ned_to_id` AS t6_r3, `versions`.`id` AS t7_r0, `versions`.`project_id` AS t7_r1, `versions`.`name`

 AS t7_r2, `versions`.`description` AS t7_r3, `versions`.`effective_date` AS t7_r4, `versions`.`cr

eated_on` AS t7_r5, `versions`.`updated_on` AS t7_r6, `versions`.`wiki_page_title` AS t7_r7 FROM `

issues`  LEFT OUTER JOIN `users` ON `users`.id = `issues`.assigned_to_id  LEFT OUTER JOIN `issue_s

tatuses` ON `issue_statuses`.id = `issues`.status_id  LEFT OUTER JOIN `trackers` ON `trackers`.id 

= `issues`.tracker_id  LEFT OUTER JOIN `projects` ON `projects`.id = `issues`.project_id  LEFT OUT

ER JOIN `enumerations` ON `enumerations`.id = `issues`.priority_id  LEFT OUTER JOIN `issue_categor

ies` ON `issue_categories`.id = `issues`.category_id  LEFT OUTER JOIN `versions` ON `versions`.id 

= `issues`.fixed_version_id     WHERE ((issues.fixed_version_id IN ('26')) AND (issue_statuses.is_

closed=0) AND projects.id = 15 AND projects.status=1 AND EXISTS (SELECT em.id FROM enabled_modules

 em WHERE em.name='issue_tracking' AND em.project_id=projects.id))  ORDER BY  LIMIT 0, 25):

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/abstract_adapter.rb:147:in `log'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/mysql_adapter.rb:302:in `execute'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/mysql_adapter.rb:537:in `select'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/abstract/database_statements.rb:7:in `select_all_without_query_cache'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/abstract/query_cache.rb:59:in `select_all'
    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/abstract/query_cache.rb:80:in `cache_sql'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/abstract/query_cache.rb:59:in `select_all'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/associations.rb:1429:in `select_all_rows'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/associations.rb:1260:in `find_with_associations'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/associations.rb:1258:in `catch'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/associations.rb:1258:in `find_with_associations'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/base.rb:1343:in `find_every'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/base.rb:540:in `find'

    /app/controllers/issues_controller.rb:62:in `index'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/base.rb:1166:in `send'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/base.rb:1166:in `perform_action_without_filters'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/filters.rb:579:in `call_filters'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/filters.rb:572:in `perform_action_without_benchmark'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/benchmarking.rb:68:in `perform_action_without_rescue'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/benchmarking.rb:68:in `perform_action_without_rescue'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/rescue.rb:201:in `perform_action_without_caching'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/caching/sql_cache.rb:13:in `passenger_orig_perform_action'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/connection_adapters/abstract/query_cache.rb:33:in `cache'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_recor

d/query_cache.rb:8:in `cache'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/caching/sql_cache.rb:12:in `passenger_orig_perform_action'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/request_handler.rb:53:in `perform_action'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/base.rb:529:in `send'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/base.rb:529:in `process_without_filters'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/filters.rb:568:in `process_without_session_management_support'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/session_management.rb:130:in `process'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/base.rb:389:in `process'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/dispatcher.rb:149:in `handle_request'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/dispatcher.rb:107:in `dispatch'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/dispatcher.rb:104:in `synchronize'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/dispatcher.rb:104:in `dispatch'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/dispatcher.rb:120:in `dispatch_cgi'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_control

ler/dispatcher.rb:35:in `dispatch'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/request_handler.rb:38:in `process_request'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr
act_request_handler.rb:165:in `main_loop'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/application_spawner.rb:321:in `start_request_handler'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/application_spawner.rb:282:in `handle_spawn_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/utils

.rb:163:in `safe_fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/utils

.rb:161:in `fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/utils

.rb:161:in `safe_fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/application_spawner.rb:280:in `handle_spawn_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/utils

.rb:163:in `safe_fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/utils

.rb:161:in `fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/utils

.rb:161:in `safe_fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/application_spawner.rb:279:in `handle_spawn_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:317:in `__send__'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:317:in `main_loop'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:168:in `start_synchronously'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:135:in `start'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:112:in `fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:112:in `start'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/application_spawner.rb:179:in `start'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/framework_spawner.rb:270:in `handle_spawn_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/framework_spawner.rb:263:in `synchronize'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/framework_spawner.rb:263:in `handle_spawn_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:317:in `__send__'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:317:in `main_loop'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:168:in `start_synchronously'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:135:in `start'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:112:in `fork'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:112:in `start'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/railz

/framework_spawner.rb:87:in `start'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/spawn

_manager.rb:222:in `spawn_rails_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/spawn

_manager.rb:217:in `synchronize'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/spawn

_manager.rb:217:in `spawn_rails_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/spawn

_manager.rb:126:in `spawn_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/spawn

_manager.rb:251:in `handle_spawn_application'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:317:in `__send__'
    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:317:in `main_loop'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/lib/passenger/abstr

act_server.rb:168:in `start_synchronously'

    /opt/ruby-enterprise-1.8.6-20081215/lib/ruby/gems/1.8/gems/passenger-2.0.6/bin/passenger-spawn

-server:46

Rendering ./public/500.html (500 Internal Server Error)

 Thanks

History

#1 - 2008-12-26 10:01 - youngseok yi

After rake tmp:sessions:clear , it is working for me.

#2 - 2008-12-26 10:30 - Philippe Lafoucrière

You're right, thanks. I didn't even know the sessions were server side, I though redmine was using the cookie store by default :)

#3 - 2008-12-27 15:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

I've committed a fix in r2183 that should prevent this error with old sessions after upgrading.
